<?php

/**
*
* @package phpBB Canonical URL hook
* @copyright (c) 2015 www.phpbb-work.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

function gen_canonical()
{
	global $canonical, $topic_data, $topic_id, $forum_id, $start, $template, $user, $phpEx;

	if (isset($canonical))
	{
		return;
	}

	$script_name = str_replace('.' . $phpEx, '', $user->page['page_name']);

	switch ($script_name)
	{
		case 'index':
			$canonical = generate_board_url() . '/';
		break;

		case 'viewforum':
			$canonical = generate_board_url() . "/viewforum.$phpEx?f=$forum_id" . (($start) ? "&amp;start=$start" : '');
		break;

		case 'viewtopic':
			$canonical = generate_board_url() . "/viewtopic.$phpEx?" . (($topic_data['topic_type'] == POST_GLOBAL) ? '' : "f=$forum_id&amp;") . "t=$topic_id" . (($start) ? "&amp;start=$start" : '');
		break;

		default:
			$canonical = '';
		break;
	}

	if ($canonical && !isset($template->_rootref['META']))
	{
		$template->_rootref['META'] = '<link rel="canonical" href="' . $canonical . '" />';
	}
}

$phpbb_hook->register(array('template', 'display'), 'gen_canonical');

?>